Cancel Exam Session
curl --request DELETE \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid} \
--header 'Content-Type: application/json' \
--header 'token: <api-key>' \
--data '
{
"cancellationMemo": "<string>",
"bypassNonRefundable": false
}
'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}"
payload = {
"cancellationMemo": "<string>",
"bypassNonRefundable": False
}
headers = {
"token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({cancellationMemo: '<string>', bypassNonRefundable: false})
};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Exam Session
Cancel Exam Session
Cancels the specified exam session. The auth token is passed for auditing.
An optional payload may include cancellation reason details.
DELETE
/
v1
/
installs
/
{installSid}
/
exams
/
{examSid}
/
sessions
/
{sessionSid}
Cancel Exam Session
Authorizations
Path Parameters
Install Sid
Pattern:
^AI[a-f0-9]{32}$Exam Sid
Pattern:
^EX[a-f0-9]{32}$Exam Session Sid
Pattern:
^ES[a-f0-9]{32}$Body
application/json
Memo for cancelling the exam session
Available options:
b-virtual, ad-hoc, instructor-as-proctor, messaging, proctoru, register-blast, vtc, examity, smarter-scheduling, automated Reason for session cancellation
Available options:
no-show, changed-time, technical-issue, other-reason, removed-by-limited-scope Whether to bypass non-refundable scheduling fees. If true, all non-refundable fees will be refunded
Response
default - application/json
Successful
The response is of type string.
Was this page helpful?
⌘I
